io.vertx.micrometer

## Enum Label

- java.lang.Object
- - java.lang.Enum<Label>
  - - io.vertx.micrometer.Label

- All Implemented Interfaces:
    Serializable, Comparable<Label>

      public enum Label
      extends Enum<Label>

  List of labels used in various Vert.x metrics. Labels that may not have bounded values are disabled by default.
  Author:
    Joel Takvorian

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS_NAME` Class name.
    `EB_ADDRESS` Event bus address
    `EB_FAILURE` Event bus failure name from a ReplyFailure object
    `EB_SIDE` Event bus side of the metric, it can be either "local" or "remote"
    `HTTP_CODE` HTTP response code (used in http domain)
    `HTTP_METHOD` Method (GET, POST, PUT, etc.) of an HTTP requests (used in http domain)
    `HTTP_PATH` Path of the URI for client or server requests (used in http domain)
    `HTTP_ROUTE` Route as provided by routing modules to the http requests
    `LOCAL` Local address in client-host or host-client connections (used in net, http and datagram domains)
    `NAMESPACE` Client namespace
    `POOL_NAME` Pool name (used in pools domain)
    `POOL_TYPE` Pool type, such as "worker" or "datasource" (used in pools domain)
    `REMOTE` Remote address in client-host or host-client connections (used in net and http domains)

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static Label` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Label[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL

          public static final Label LOCAL

      Local address in client-host or host-client connections (used in net, http and datagram domains)

    - #### REMOTE

          public static final Label REMOTE

      Remote address in client-host or host-client connections (used in net and http domains)

    - #### HTTP_PATH

          public static final Label HTTP_PATH

      Path of the URI for client or server requests (used in http domain)

    - #### HTTP_ROUTE

          public static final Label HTTP_ROUTE

      Route as provided by routing modules to the http requests

    - #### HTTP_METHOD

          public static final Label HTTP_METHOD

      Method (GET, POST, PUT, etc.) of an HTTP requests (used in http domain)

    - #### HTTP_CODE

          public static final Label HTTP_CODE

      HTTP response code (used in http domain)

    - #### CLASS_NAME

          public static final Label CLASS_NAME

      Class name. When used in error counters (in net, http, datagram and eventbus domains) it relates to an exception that occurred. When used in verticle domain, it relates to the verticle class name.

    - #### EB_ADDRESS

          public static final Label EB_ADDRESS

      Event bus address

    - #### EB_SIDE

          public static final Label EB_SIDE

      Event bus side of the metric, it can be either "local" or "remote"

    - #### EB_FAILURE

          public static final Label EB_FAILURE

      Event bus failure name from a ReplyFailure object

    - #### POOL_TYPE

          public static final Label POOL_TYPE

      Pool type, such as "worker" or "datasource" (used in pools domain)

    - #### POOL_NAME

          public static final Label POOL_NAME

      Pool name (used in pools domain)

    - #### NAMESPACE

          public static final Label NAMESPACE

      Client namespace

  - ### Method Detail

    - #### values

          public static Label[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Label c : Label.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Label valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Label>`

Copyright © 2022 Eclipse. All rights reserved.